package com.malk.cloudpure.service;

import java.time.LocalDate;
import java.util.Map;

public interface CPClient {

    /**
     * 创建每日数据 [增量更新]
     */
    void upsertDailyRecord(String userId, String tDate, Map formData);

    /**
     * 同步日报数据 [日报模板]
     */
    void syncDingTalkLogForRecord(String sDate);

    /**
     * 同步销帮帮客户数, 跟进记录, 商机, 合同, 回款
     */
    void syncXBongBongForRecord(String userId, long start, long end);

    /**
     * 同步销帮帮客户数, 跟进记录, 商机, 合同, 回款 - [全量]
     */
    void syncXBongBongForRecord_all(LocalDate date);

    /**
     * 同步销售部门人员 [服务销帮帮]
     */
    void syncBusinessUserInfo();

    /**
     * 酷应用数据 [定时推送, 非轮询不缓存]
     */
    Map applicationData(String tDate);

    /**
     * 酷应用消息卡片推送
     */
    void sendCardMessage(String tDate, String... teams);
}
